import{s as vt,f as Ne,n as yt,o as xt}from"../chunks/scheduler.63274e7e.js";import{S as Tt,i as Lt,g as r,s as i,r as Q,A as Ct,h as s,f as l,c as o,j as Ye,u as K,x as a,k as u,y as Mt,a as n,v as J,d as X,t as Z,w as V}from"../chunks/index.bf3f3f8e.js";import{H as ee}from"../chunks/Heading.500d2301.js";function _t(Se){let p,te,F,le,h,ne,f,je,ie,c,Be="Welcome to the course that will teach you the most fascinating topic in game development: <strong>how to use powerful AI tools and models to create unique game experiences</strong>.",oe,w,Re="New AI models are revolutionizing the Game Industry in two impactful ways:",re,d,ze="<li><p>On <strong>how we make games</strong>:</p> <ul><li>Generate textures using AI</li> <li>Using AI voice actors for the voices.</li></ul></li> <li><p>How we <strong>create gameplay</strong>:</p> <ul><li>Crafting smart Non-Playable Characters (NPCs) using large language models.</li></ul></li>",se,v,Fe="This course will <strong>teach you</strong>:",ae,y,Oe="<li>How to <strong>integrate AI models for innovative gameplay</strong>, featuring intelligent NPCs.</li> <li>How to use AI tools to help your game development pipeline.</li>",ue,x,Qe="In this introduction unit, you’ll:",me,T,Ke="<li>Learn more about the <strong>course content and the syllabus</strong>.</li> <li>Learn the <strong>course requirements</strong>.</li> <li>Create your Hugging Face Account (it’s free)</li> <li>Sign up to our Discord server to chat with your classmates and us (the Hugging Face team).</li>",pe,L,Je="Let’s get started!",fe,C,ge,M,Xe="In this course, you will:",he,_,Ze="<li>🤖 Learn to use <strong>powerful chat models to build intelligent NPC</strong>.</li> <li>🪄 Run <strong>these powerful AI models locally or with cloud APIs.</strong></li> <li>🎨 Use AI tools <strong>to accelerate your game development</strong>: generate voices with text-to-speech models using image generation tools…</li> <li>🎮 Work on <strong>exciting game demos</strong>.</li> <li>👩‍🎨 <strong>Build Your Own Game Demo</strong>.</li>",ce,H,Ve="And more!",we,b,et="At the end of this course, you’ll get a <strong>solid foundation on using AI models in your games and AI tools in your game development</strong>.",de,$,tt='Remember to <a href="http://eepurl.com/iCWDQw" rel="nofollow">sign up for the course</a> (we are collecting your email to be able to send you the links when each Unit is published and give you information about the challenges and updates).',ve,P,lt='Sign up 👉 <a href="http://eepurl.com/iCWDQw" rel="nofollow">here</a>',ye,k,nt='For now, all our content uses the <a href="https://www.unity.com" rel="nofollow">Unity Game Engine</a>. In the future, we will add content about Unreal Engine, Godot, and more.',xe,I,it="Naturally, for the demo, you can use any Game Engine you want (or no game engine), <strong>but we advise you to use Unity</strong>.",Te,A,Le,G,ot="This course <strong>is not an introduction to game development</strong>. You should have some skills in Unity to follow this course.",Ce,U,rt='If it’s not the case. Don’t worry, that’s the perfect time to start! To start making games with Unity, check out this fantastic course: <a href="https://learn.unity.com/course/create-with-code" rel="nofollow">Create with Code</a>, where you’ll learn to make five different games.',Me,W,st="With this create with code free course, <strong>you’ll get everything you need to be able to follow the Machine Learning for Games Course</strong>.",_e,D,at='Create with code course 👉 <a href="https://learn.unity.com/course/create-with-code" rel="nofollow">https://learn.unity.com/course/create-with-code</a>',He,g,ut,be,E,mt='In addition, you can watch this excellent introduction to Unity by <a href="https://www.youtube.com/@GMTK" rel="nofollow">GMTK (Game Maker’s Toolkit)</a>',$e,m,pt,Pe,q,ke,N,ft="We don’t plan to have a unit on this for now. <strong>But the course will be improved with your feedback</strong>.",Ie,Y,gt="We already have a lot of free courses if you want to go deeper into:",Ae,S,ht='<li>Learning <a href="https://huggingface.co/learn/nlp-course" rel="nofollow">Natural Language Processing with Transformers</a></li> <li>Learning <a href="https://huggingface.co/learn/audio-course/chapter0/introduction" rel="nofollow">Audio Processing with Transformers (Speech-To-Text, Text-To-Speech…)</a></li> <li>Learn to <a href="https://www.deeplearning.ai/short-courses/building-generative-ai-applications-with-gradio/" rel="nofollow">build Generative AI Applications with Gradio</a></li>',Ge,j,Ue,B,ct="During this course, you will work on some demos we’ve made. But the most exciting part is that during the whole course <strong>you will also work on your demo</strong>.",We,R,wt="You’ll build a game demo using either:",De,z,dt="<li><p><strong>AI tools to help you build the game</strong> (for instance, texture generation, AI voice actors…).</p></li> <li><p>And or using an <strong>AI in the game as gameplay or for the NPC</strong>.</p></li>",Ee,O,qe;return h=new ee({props:{title:"Welcome to the 🤗 Machine Learning for Games Course",local:"introduction",headingTag:"h1"}}),C=new ee({props:{title:"What to expect?",local:"what-to-expect",headingTag:"h2"}}),A=new ee({props:{title:"But… I don’t know how to make games!",local:"but-i-dont-know-how-to-make-games",headingTag:"h2"}}),q=new ee({props:{title:"Are we going to learn to train/fine-tune Transformer models and other AI models?",local:"are-we-going-to-learn-to-trainfine-tune-transformer-models-and-other-ai-models",headingTag:"h2"}}),j=new ee({props:{title:"Your Goal during this course 🏆: Making Your Own Game Demo",local:"your-goal-during-this-course--making-your-own-game-demo",headingTag:"h2"}}),{c(){p=r("meta"),te=i(),F=r("p"),le=i(),Q(h.$$.fragment),ne=i(),f=r("img"),ie=i(),c=r("p"),c.innerHTML=Be,oe=i(),w=r("p"),w.textContent=Re,re=i(),d=r("ul"),d.innerHTML=ze,se=i(),v=r("p"),v.innerHTML=Fe,ae=i(),y=r("ul"),y.innerHTML=Oe,ue=i(),x=r("p"),x.textContent=Qe,me=i(),T=r("ul"),T.innerHTML=Ke,pe=i(),L=r("p"),L.textContent=Je,fe=i(),Q(C.$$.fragment),ge=i(),M=r("p"),M.textContent=Xe,he=i(),_=r("ul"),_.innerHTML=Ze,ce=i(),H=r("p"),H.textContent=Ve,we=i(),b=r("p"),b.innerHTML=et,de=i(),$=r("p"),$.innerHTML=tt,ve=i(),P=r("p"),P.innerHTML=lt,ye=i(),k=r("p"),k.innerHTML=nt,xe=i(),I=r("p"),I.innerHTML=it,Te=i(),Q(A.$$.fragment),Le=i(),G=r("p"),G.innerHTML=ot,Ce=i(),U=r("p"),U.innerHTML=rt,Me=i(),W=r("p"),W.innerHTML=st,_e=i(),D=r("p"),D.innerHTML=at,He=i(),g=r("img"),be=i(),E=r("p"),E.innerHTML=mt,$e=i(),m=r("iframe"),Pe=i(),Q(q.$$.fragment),ke=i(),N=r("p"),N.innerHTML=ft,Ie=i(),Y=r("p"),Y.textContent=gt,Ae=i(),S=r("ul"),S.innerHTML=ht,Ge=i(),Q(j.$$.fragment),Ue=i(),B=r("p"),B.innerHTML=ct,We=i(),R=r("p"),R.textContent=wt,De=i(),z=r("ul"),z.innerHTML=dt,Ee=i(),O=r("p"),this.h()},l(e){const t=Ct("svelte-u9bgzb",document.head);p=s(t,"META",{name:!0,content:!0}),t.forEach(l),te=o(e),F=s(e,"P",{}),Ye(F).forEach(l),le=o(e),K(h.$$.fragment,e),ne=o(e),f=s(e,"IMG",{src:!0,alt:!0,width:!0}),ie=o(e),c=s(e,"P",{"data-svelte-h":!0}),a(c)!=="svelte-c4v744"&&(c.innerHTML=Be),oe=o(e),w=s(e,"P",{"data-svelte-h":!0}),a(w)!=="svelte-1ih3s7p"&&(w.textContent=Re),re=o(e),d=s(e,"UL",{"data-svelte-h":!0}),a(d)!=="svelte-8whzuy"&&(d.innerHTML=ze),se=o(e),v=s(e,"P",{"data-svelte-h":!0}),a(v)!=="svelte-1glw3q2"&&(v.innerHTML=Fe),ae=o(e),y=s(e,"UL",{"data-svelte-h":!0}),a(y)!=="svelte-4cax1m"&&(y.innerHTML=Oe),ue=o(e),x=s(e,"P",{"data-svelte-h":!0}),a(x)!=="svelte-1rnqb0j"&&(x.textContent=Qe),me=o(e),T=s(e,"UL",{"data-svelte-h":!0}),a(T)!=="svelte-ogoz90"&&(T.innerHTML=Ke),pe=o(e),L=s(e,"P",{"data-svelte-h":!0}),a(L)!=="svelte-4b3xjd"&&(L.textContent=Je),fe=o(e),K(C.$$.fragment,e),ge=o(e),M=s(e,"P",{"data-svelte-h":!0}),a(M)!=="svelte-f2qxb3"&&(M.textContent=Xe),he=o(e),_=s(e,"UL",{"data-svelte-h":!0}),a(_)!=="svelte-1no8wom"&&(_.innerHTML=Ze),ce=o(e),H=s(e,"P",{"data-svelte-h":!0}),a(H)!=="svelte-t67g99"&&(H.textContent=Ve),we=o(e),b=s(e,"P",{"data-svelte-h":!0}),a(b)!=="svelte-1d0jtag"&&(b.innerHTML=et),de=o(e),$=s(e,"P",{"data-svelte-h":!0}),a($)!=="svelte-1g88ojb"&&($.innerHTML=tt),ve=o(e),P=s(e,"P",{"data-svelte-h":!0}),a(P)!=="svelte-ehnhbr"&&(P.innerHTML=lt),ye=o(e),k=s(e,"P",{"data-svelte-h":!0}),a(k)!=="svelte-7mas1o"&&(k.innerHTML=nt),xe=o(e),I=s(e,"P",{"data-svelte-h":!0}),a(I)!=="svelte-1gse6mb"&&(I.innerHTML=it),Te=o(e),K(A.$$.fragment,e),Le=o(e),G=s(e,"P",{"data-svelte-h":!0}),a(G)!=="svelte-1nxsmpb"&&(G.innerHTML=ot),Ce=o(e),U=s(e,"P",{"data-svelte-h":!0}),a(U)!=="svelte-e7trk"&&(U.innerHTML=rt),Me=o(e),W=s(e,"P",{"data-svelte-h":!0}),a(W)!=="svelte-1kwtrpg"&&(W.innerHTML=st),_e=o(e),D=s(e,"P",{"data-svelte-h":!0}),a(D)!=="svelte-1uvvcef"&&(D.innerHTML=at),He=o(e),g=s(e,"IMG",{src:!0,alt:!0,width:!0}),be=o(e),E=s(e,"P",{"data-svelte-h":!0}),a(E)!=="svelte-1yyl037"&&(E.innerHTML=mt),$e=o(e),m=s(e,"IFRAME",{width:!0,height:!0,src:!0,title:!0,frameborder:!0,allow:!0}),Ye(m).forEach(l),Pe=o(e),K(q.$$.fragment,e),ke=o(e),N=s(e,"P",{"data-svelte-h":!0}),a(N)!=="svelte-1pkf154"&&(N.innerHTML=ft),Ie=o(e),Y=s(e,"P",{"data-svelte-h":!0}),a(Y)!=="svelte-157bpc9"&&(Y.textContent=gt),Ae=o(e),S=s(e,"UL",{"data-svelte-h":!0}),a(S)!=="svelte-m74kmd"&&(S.innerHTML=ht),Ge=o(e),K(j.$$.fragment,e),Ue=o(e),B=s(e,"P",{"data-svelte-h":!0}),a(B)!=="svelte-5o0dlx"&&(B.innerHTML=ct),We=o(e),R=s(e,"P",{"data-svelte-h":!0}),a(R)!=="svelte-ierz4b"&&(R.textContent=wt),De=o(e),z=s(e,"UL",{"data-svelte-h":!0}),a(z)!=="svelte-1ocnqy2"&&(z.innerHTML=dt),Ee=o(e),O=s(e,"P",{}),Ye(O).forEach(l),this.h()},h(){u(p,"name","hf:doc:metadata"),u(p,"content",Ht),Ne(f.src,je="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit0/thumbnail.jpg")||u(f,"src",je),u(f,"alt","Thumbnail"),u(f,"width","100%"),Ne(g.src,ut="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit0/create_with_code.png")||u(g,"src",ut),u(g,"alt","Thumbnail"),u(g,"width","100%"),u(m,"width","560"),u(m,"height","315"),Ne(m.src,pt="https://www.youtube.com/embed/XtQMytORBmM?si=D6Q-8kGZsJIRm7Pe")||u(m,"src",pt),u(m,"title","YouTube video player"),u(m,"frameborder","0"),u(m,"allow","accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"),m.allowFullscreen=""},m(e,t){Mt(document.head,p),n(e,te,t),n(e,F,t),n(e,le,t),J(h,e,t),n(e,ne,t),n(e,f,t),n(e,ie,t),n(e,c,t),n(e,oe,t),n(e,w,t),n(e,re,t),n(e,d,t),n(e,se,t),n(e,v,t),n(e,ae,t),n(e,y,t),n(e,ue,t),n(e,x,t),n(e,me,t),n(e,T,t),n(e,pe,t),n(e,L,t),n(e,fe,t),J(C,e,t),n(e,ge,t),n(e,M,t),n(e,he,t),n(e,_,t),n(e,ce,t),n(e,H,t),n(e,we,t),n(e,b,t),n(e,de,t),n(e,$,t),n(e,ve,t),n(e,P,t),n(e,ye,t),n(e,k,t),n(e,xe,t),n(e,I,t),n(e,Te,t),J(A,e,t),n(e,Le,t),n(e,G,t),n(e,Ce,t),n(e,U,t),n(e,Me,t),n(e,W,t),n(e,_e,t),n(e,D,t),n(e,He,t),n(e,g,t),n(e,be,t),n(e,E,t),n(e,$e,t),n(e,m,t),n(e,Pe,t),J(q,e,t),n(e,ke,t),n(e,N,t),n(e,Ie,t),n(e,Y,t),n(e,Ae,t),n(e,S,t),n(e,Ge,t),J(j,e,t),n(e,Ue,t),n(e,B,t),n(e,We,t),n(e,R,t),n(e,De,t),n(e,z,t),n(e,Ee,t),n(e,O,t),qe=!0},p:yt,i(e){qe||(X(h.$$.fragment,e),X(C.$$.fragment,e),X(A.$$.fragment,e),X(q.$$.fragment,e),X(j.$$.fragment,e),qe=!0)},o(e){Z(h.$$.fragment,e),Z(C.$$.fragment,e),Z(A.$$.fragment,e),Z(q.$$.fragment,e),Z(j.$$.fragment,e),qe=!1},d(e){e&&(l(te),l(F),l(le),l(ne),l(f),l(ie),l(c),l(oe),l(w),l(re),l(d),l(se),l(v),l(ae),l(y),l(ue),l(x),l(me),l(T),l(pe),l(L),l(fe),l(ge),l(M),l(he),l(_),l(ce),l(H),l(we),l(b),l(de),l($),l(ve),l(P),l(ye),l(k),l(xe),l(I),l(Te),l(Le),l(G),l(Ce),l(U),l(Me),l(W),l(_e),l(D),l(He),l(g),l(be),l(E),l($e),l(m),l(Pe),l(ke),l(N),l(Ie),l(Y),l(Ae),l(S),l(Ge),l(Ue),l(B),l(We),l(R),l(De),l(z),l(Ee),l(O)),l(p),V(h,e),V(C,e),V(A,e),V(q,e),V(j,e)}}}const Ht='{"title":"Welcome to the 🤗 Machine Learning for Games Course","local":"introduction","sections":[{"title":"What to expect?","local":"what-to-expect","sections":[],"depth":2},{"title":"But… I don’t know how to make games!","local":"but-i-dont-know-how-to-make-games","sections":[],"depth":2},{"title":"Are we going to learn to train/fine-tune Transformer models and other AI models?","local":"are-we-going-to-learn-to-trainfine-tune-transformer-models-and-other-ai-models","sections":[],"depth":2},{"title":"Your Goal during this course 🏆: Making Your Own Game Demo","local":"your-goal-during-this-course--making-your-own-game-demo","sections":[],"depth":2}],"depth":1}';function bt(Se){return xt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class It extends Tt{constructor(p){super(),Lt(this,p,bt,_t,vt,{})}}export{It as component};
